/*
  lsvpd_lib_dir - Configurable library directory for lsvpd.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2005
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: lsvpd_lib_dir.c,v 1.1 2006/04/11 18:38:28 emunson Exp $
*/

#include <stdlib.h>

#include "init.h"

#include "lsvpd_lib_dir.h"

const char * lsvpd_lib_dir;

/********************************************************************/

static void
init(void)
{
	lsvpd_lib_dir = getenv("LSVPD_LIB_DIR");

	/* Backward compatibility. */
	if (NULL == lsvpd_lib_dir)
		lsvpd_lib_dir = getenv("LSVPD_LIBDIR");

	if (NULL == lsvpd_lib_dir)
		lsvpd_lib_dir = LSVPD_LIB_DIR_DEFAULT;
}

INIT(init);
