/*
  proc_scsi - Path to /proc/scsi and related definitions.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2005
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: proc_scsi.c,v 1.1 2006/04/11 18:38:28 emunson Exp $
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/param.h>

#include "init.h"
#include "proc_scsi.h"

char * lsvpd_proc_scsi_dir = NULL;

static void
init(void)
{
	char * x;

	x = getenv("LSVPD_PROC_SCSI_DIR");
	if (NULL == x)
		x = "/proc/scsi";

	if (0 == access(x, F_OK)) {
		lsvpd_proc_scsi_dir = malloc(MAXPATHLEN + 1);
		if (NULL != lsvpd_proc_scsi_dir) {
			strncpy(lsvpd_proc_scsi_dir, x, MAXPATHLEN);
			lsvpd_proc_scsi_dir[MAXPATHLEN] = '\0';
		}
	}
}

INIT(init);
